Commit 5d39f551 authored by Nicolas Fella's avatar Nicolas Fella
Browse files

Use configure_package_config_file instead of ecm_configure_package_config_file

The difference is only relevant for ancient CMake versions
parent a599ce6d
......@@ -39,6 +39,7 @@ set_package_properties(SignOnQt5 PROPERTIES DESCRIPTION "D-Bus service which per
add_definitions (-DTRANSLATION_DOMAIN=\"kaccounts-integration\" -DQT_NO_KEYWORDS -DQT_NO_FOREACH)
include(CMakePackageConfigHelpers)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
......@@ -47,7 +48,6 @@ include(FeatureSummary)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(GenerateExportHeader)
include(ECMPackageConfigHelpers)
include(KDEClangFormat)
if(KF5_VERSION VERSION_GREATER_EQUAL 5.79)
......
......@@ -65,7 +65,7 @@ set_target_properties(kaccounts PROPERTIES VERSION ${KACCOUNTS_VERSION}
EXPORT_NAME KAccounts
)
ecm_configure_package_config_file(
configure_package_config_file(
"${CMAKE_CURRENT_SOURCE_DIR}/KAccountsConfig.cmake.in"
"${CMAKE_CURRENT_BINARY_DIR}/KAccountsConfig.cmake"
INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment